> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a user

> Retrieves the details of an existing user.



## OpenAPI

````yaml /openapi/platform/user.yaml GET /v1/users/{id}
openapi: 3.1.0
info:
  title: User API
  version: '1.0'
  description: >-
    User objects allow you to manage a user and the user’s attributes such as a
    department, phone number, employee number, email, and username. The API
    allows you to create, retrieve a user or a list of users, and update user
    information.


    ## The user object


    ## Attributes


    Property Name | Type | Description

    ------- | ------- | -------

    name | string | User's full name

    email | string | User's primary email used in profile

    role | string | The role of the user created (available roles are: 'Admin',
    'Privileged', 'Participant')

    title | string | User's job title

    alternateEmail | string | User's secondary email in profile

    phone | string | Primary phone number of user

    location | string | Free text that can be used to define office location
    (e.g. City, State, Country)

    timezone | string | Time zone used to display to user the system times
    throughout Domo application

    locale | date-time | Locale used to display to user the system settings
    throughout Domo application

    employeeNumber | string | Employee number within company
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/users/{id}:
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: The ID of the user
    get:
      tags: []
      summary: Retrieve a user
      description: Retrieves the details of an existing user.
      parameters: []
      responses:
        '200':
          description: >-
            Returns a user object if valid user ID was provided. When
            requesting, if the user ID is related to a user that has been
            deleted, a subset of the user information will be returned,
            including a deleted property, which will be true.
          headers: {}
          content:
            application/json:
              schema:
                type: object
                x-examples:
                  Example 1:
                    alternateEmail: leonardeuler@email.com
                    createdAt: '2017-06-12T20:23:57Z'
                    email: leonard.euler@domo.com
                    employeeNumber: 23532
                    groups:
                      - id: 1324037627
                        name: Default
                    id: 871428330
                    image: https://instance.domo.com/avatar/thumb/domo/871428330
                    location: American Fork
                    name: Leonard Euler
                    phone: 884-361-1078
                    role: Admin
                    title: Software Engineer
                    updatedAt: '2017-06-12T20:23:57Z'
                properties:
                  id:
                    type: integer
                  title:
                    type: string
                  email:
                    type: string
                  alternateEmail:
                    type: string
                  role:
                    type: string
                  phone:
                    type: string
                  name:
                    type: string
                  location:
                    type: string
                  roleId:
                    type: string
                  employeeNumber:
                    type: integer
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  deleted:
                    type: boolean
                  image:
                    type: string
                  groups:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        name:
                          type: string
              examples:
                Example 2:
                  value:
                    id: 871428330
                    title: Software Engineer
                    email: leonard.euler@domo.com
                    alternateEmail: leonardeuler@email.com
                    role: Admin
                    phone: 884-361-1078
                    name: Leonard Euler
                    location: American Fork
                    roleId: '1'
                    employeeNumber: 23532
                    createdAt: 017-06-12T20:23:57Z
                    updatedAt: '2017-06-12T20:23:57Z'
                    deleted: false
                    image: https://instance.domo.com/avatar/thumb/domo/871428330
                    groups:
                      - id: 1324037627
                        name: Default
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````